#include <QApplication>

#include "window.h"
#include <QtGui>

int main(int argc, char *argv[]){
    QApplication app(argc, argv);

    QDir::setCurrent(QApplication::applicationDirPath());

    QTextCodec::setCodecForLocale(QTextCodec::codecForName("UTF8"));
    QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF8"));
    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF8"));

    qsrand(QTime(0,0,0).secsTo(QTime::currentTime()));


    QTranslator translator;
    QString locale = QLocale::system().name();


    if (translator.load(QString("invertApple_") + locale)==false){
        translator.load(QString("/usr/share/games/invertapple/invertApple_") + locale);
    }
    app.installTranslator(&translator);




    window Window;
    Window.show();
    return app.exec();
}
